Get a social post
curl --request GET \
--url https://api.app.hrizn.io/v1/public/social/posts/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.app.hrizn.io/v1/public/social/posts/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.app.hrizn.io/v1/public/social/posts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.app.hrizn.io/v1/public/social/posts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.app.hrizn.io/v1/public/social/posts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"targets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"post_id": "<string>",
"content": "<string>",
"media_urls": [
"<string>"
],
"account_id": "<string>",
"scheduled_for": "2023-11-07T05:31:56Z",
"scheduled_timezone": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"platform_post_url": "<string>",
"platform_post_id": "<string>",
"error": "<string>",
"article_component_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}Get a social post
Return a logical post with all of its per-platform targets.
GET
/
social
/
posts
/
{id}
Get a social post
Authorizations
Your Hrizn API key (prefix hzk_)
Path Parameters
The post id (post_id / Zernio post id)
Response
The post
Hide child attributes
Hide child attributes
Logical post id (post_id)
Hide child attributes
Hide child attributes
Target row id (one per platform)
Logical post id shared across platform targets (use for writes)
Available options:
twitter, facebook, instagram, linkedin, googlebusiness Available options:
draft, scheduled, publishing, published, failed, cancelled Last modified on June 30, 2026
⌘I
